Qyra
ReferenceProjects

Get compilation log for a specific job

Get compilation log by job UUID

GET/api/v1/projects/{projectUuid}/compile-logs/job/{jobUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesThe uuid of the project
jobUuidstringYesThe uuid of the job

Responses

200 — Success

{
  "results": {
    "log": {
      "report": {
        "baseTableNames": [
          "string"
        ],
        "exploresWithErrors": [
          {
            "name": "string",
            "label": "string",
            "tags": [
              "string"
            ],
            "groupLabel": "string",
            "groups": [
              "string"
            ],
            "baseTable": "string",
            "joinedTables": [
              {
                "table": "string",
                "hidden": true,
                "type": "inner",
                "sqlOn": "string",
                "always": true,
                "relationship": "one-to-many",
                "parameterReferences": [
                  "string"
                ],
                "tablesReferences": [
                  "string"
                ],
                "compiledSqlOn": "string"
              }
            ],
            "tables": {
              "property": {
                "sqlPath": "string",
                "ymlPath": "string",
                "dbtSourceUuid": "string",
                "dbtPackageName": "string",
                "warnings": [
                  {
                    "message": "string",
                    "type": "METADATA_PARSE_ERROR"
                  }
                ],
                "aiHint": "string",
                "defaultShowUnderlyingValues": [
                  "string"
                ],
                "defaultTimeDimension": {
                  "interval": "RAW",
                  "field": "string"
                },
                "groupDetails": {
                  "property": {
                    "aiHint": "string",
                    "description": "string",
                    "label": "string"
                  }
                },
                "anyAttributes": {
                  "property": "string"
                },
                "requiredAttributes": {
                  "property": "string"
                },
                "hidden": true,
                "requiredFilters": [
                  {
                    "includeNull": true,
                    "values": [
                      "string"
                    ],
                    "operator": "isNull",
                    "id": "string",
                    "target": {
                      "fieldRef": "string"
                    },
                    "settings": "string",
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true
                  }
                ],
                "sqlWhere": "string",
                "groupLabel": "string",
                "orderFieldsBy": "LABEL",
                "primaryKey": [
                  "string"
                ],
                "sqlTable": "string",
                "schema": "string",
                "database": "string",
                "description": "string",
                "canonicalName": "string",
                "originalName": "string",
                "label": "string",
                "name": "string",
                "sets": {
                  "property": {
                    "fields": [
                      "string"
                    ]
                  }
                },
                "parameters": {
                  "property": {
                    "options_from_dimension": {
                      "dimension": "string",
                      "model": "string"
                    },
                    "options": [
                      "string"
                    ],
                    "allow_custom_values": true,
                    "multiple": true,
                    "default": "string",
                    "type": "string",
                    "description": "string",
                    "label": "string"
                  }
                },
                "parameterReferences": [
                  "string"
                ],
                "uncompiledSqlWhere": "string",
                "source": {
                  "content": "string",
                  "highlight": {
                    "end": {
                      "character": 0,
                      "line": 0
                    },
                    "start": {
                      "character": 0,
                      "line": 0
                    }
                  },
                  "range": {
                    "end": {
                      "character": 0,
                      "line": 0
                    },
                    "start": {
                      "character": 0,
                      "line": 0
                    }
                  },
                  "path": "string"
                },
                "lineageGraph": {
                  "property": [
                    {
                      "name": "string",
                      "type": "model"
                    }
                  ]
                },
                "metrics": {
                  "property": {
                    "fieldType": "metric",
                    "type": "percentile",
                    "name": "string",
                    "label": "string",
                    "table": "string",
                    "tableLabel": "string",
                    "sql": "string",
                    "description": "string",
                    "source": {
                      "content": "string",
                      "highlight": {
                        "end": {},
                        "start": {}
                      },
                      "range": {
                        "end": {},
                        "start": {}
                      },
                      "path": "string"
                    },
                    "hidden": true,
                    "compact": "auto",
                    "round": 0,
                    "format": "km",
                    "separator": "default",
                    "groupLabel": "string",
                    "groups": [
                      "string"
                    ],
                    "urls": [
                      {
                        "label": "string",
                        "url": "string"
                      }
                    ],
                    "index": 0,
                    "tags": [
                      "string"
                    ],
                    "parameterReferences": [
                      "string"
                    ],
                    "showUnderlyingValues": [
                      "string"
                    ],
                    "filters": [
                      {
                        "includeNull": true,
                        "values": [
                          {}
                        ],
                        "operator": {},
                        "id": "string",
                        "target": {
                          "fieldRef": "string"
                        },
                        "settings": {},
                        "disabled": true,
                        "required": true,
                        "caseSensitive": true
                      }
                    ],
                    "percentile": 0,
                    "distinctKeys": [
                      "string"
                    ],
                    "formatOptions": {
                      "type": "default",
                      "round": 0,
                      "separator": "default",
                      "currency": "string",
                      "compact": {},
                      "prefix": "string",
                      "suffix": "string",
                      "timeInterval": "RAW",
                      "custom": "string"
                    },
                    "dimensionReference": "string",
                    "baseDimensionType": "string",
                    "baseDimensionTimeInterval": "RAW",
                    "requiredAttributes": {
                      "property": "string"
                    },
                    "anyAttributes": {
                      "property": "string"
                    },
                    "defaultTimeDimension": {
                      "interval": "RAW",
                      "field": "string"
                    },
                    "spotlight": {
                      "owner": "string",
                      "defaultFilter": {
                        "includeNull": true,
                        "values": [
                          {}
                        ],
                        "operator": {},
                        "id": "string",
                        "target": {
                          "fieldRef": "string"
                        },
                        "settings": {},
                        "disabled": true,
                        "required": true,
                        "caseSensitive": true
                      },
                      "defaultSegment": "string",
                      "segmentBy": [
                        "string"
                      ],
                      "filterBy": [
                        "string"
                      ],
                      "categories": [
                        "string"
                      ],
                      "visibility": "show"
                    },
                    "drivers": [
                      "string"
                    ],
                    "aiHint": "string",
                    "richText": "string",
                    "compiledTimestampFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledRelativeDateFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledDistinctKeys": [
                      "string"
                    ],
                    "compiledValueSql": "string",
                    "compilationError": {
                      "message": "string"
                    },
                    "tablesAnyAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesRequiredAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesReferences": [
                      "string"
                    ],
                    "compiledSql": "string"
                  }
                },
                "dimensions": {
                  "property": {
                    "fieldType": "dimension",
                    "type": "string",
                    "name": "string",
                    "label": "string",
                    "table": "string",
                    "tableLabel": "string",
                    "sql": "string",
                    "description": "string",
                    "source": {
                      "content": "string",
                      "highlight": {
                        "end": {},
                        "start": {}
                      },
                      "range": {
                        "end": {},
                        "start": {}
                      },
                      "path": "string"
                    },
                    "hidden": true,
                    "compact": "auto",
                    "round": 0,
                    "format": "km",
                    "separator": "default",
                    "groupLabel": "string",
                    "groups": [
                      "string"
                    ],
                    "urls": [
                      {
                        "label": "string",
                        "url": "string"
                      }
                    ],
                    "index": 0,
                    "tags": [
                      "string"
                    ],
                    "parameterReferences": [
                      "string"
                    ],
                    "group": "string",
                    "requiredAttributes": {
                      "property": "string"
                    },
                    "anyAttributes": {
                      "property": "string"
                    },
                    "timeInterval": "RAW",
                    "timeIntervalLabel": "string",
                    "timeIntervalBaseDimensionName": "string",
                    "timeIntervalBaseDimensionType": "string",
                    "customTimeInterval": "string",
                    "isAdditionalDimension": true,
                    "skipTimezoneConversion": true,
                    "timestampDomain": "aware",
                    "colors": {},
                    "isIntervalBase": true,
                    "aiHint": "string",
                    "formatOptions": {
                      "type": "default",
                      "round": 0,
                      "separator": "default",
                      "currency": "string",
                      "compact": {},
                      "prefix": "string",
                      "suffix": "string",
                      "timeInterval": "RAW",
                      "custom": "string"
                    },
                    "caseSensitive": true,
                    "image": {
                      "fit": "string",
                      "height": 0,
                      "width": 0,
                      "url": "string"
                    },
                    "richText": "string",
                    "filterAutocomplete": {
                      "optionsFromDimension": {
                        "labelDimension": "string",
                        "dimension": "string",
                        "model": "string"
                      },
                      "labelDimension": "string",
                      "fetchFromWarehouse": true,
                      "values": [
                        {}
                      ]
                    },
                    "spotlight": {
                      "segmentBy": true,
                      "filterBy": true
                    },
                    "compiledTimestampFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledRelativeDateFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledDistinctKeys": [
                      "string"
                    ],
                    "compiledValueSql": "string",
                    "compilationError": {
                      "message": "string"
                    },
                    "tablesAnyAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesRequiredAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesReferences": [
                      "string"
                    ],
                    "compiledSql": "string"
                  }
                }
              }
            },
            "unfilteredTables": {
              "property": {
                "sqlPath": "string",
                "ymlPath": "string",
                "dbtSourceUuid": "string",
                "dbtPackageName": "string",
                "warnings": [
                  {
                    "message": "string",
                    "type": "METADATA_PARSE_ERROR"
                  }
                ],
                "aiHint": "string",
                "defaultShowUnderlyingValues": [
                  "string"
                ],
                "defaultTimeDimension": {
                  "interval": "RAW",
                  "field": "string"
                },
                "groupDetails": {
                  "property": {
                    "aiHint": "string",
                    "description": "string",
                    "label": "string"
                  }
                },
                "anyAttributes": {
                  "property": "string"
                },
                "requiredAttributes": {
                  "property": "string"
                },
                "hidden": true,
                "requiredFilters": [
                  {
                    "includeNull": true,
                    "values": [
                      "string"
                    ],
                    "operator": "isNull",
                    "id": "string",
                    "target": {
                      "fieldRef": "string"
                    },
                    "settings": "string",
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true
                  }
                ],
                "sqlWhere": "string",
                "groupLabel": "string",
                "orderFieldsBy": "LABEL",
                "primaryKey": [
                  "string"
                ],
                "sqlTable": "string",
                "schema": "string",
                "database": "string",
                "description": "string",
                "canonicalName": "string",
                "originalName": "string",
                "label": "string",
                "name": "string",
                "sets": {
                  "property": {
                    "fields": [
                      "string"
                    ]
                  }
                },
                "parameters": {
                  "property": {
                    "options_from_dimension": {
                      "dimension": "string",
                      "model": "string"
                    },
                    "options": [
                      "string"
                    ],
                    "allow_custom_values": true,
                    "multiple": true,
                    "default": "string",
                    "type": "string",
                    "description": "string",
                    "label": "string"
                  }
                },
                "parameterReferences": [
                  "string"
                ],
                "uncompiledSqlWhere": "string",
                "source": {
                  "content": "string",
                  "highlight": {
                    "end": {
                      "character": 0,
                      "line": 0
                    },
                    "start": {
                      "character": 0,
                      "line": 0
                    }
                  },
                  "range": {
                    "end": {
                      "character": 0,
                      "line": 0
                    },
                    "start": {
                      "character": 0,
                      "line": 0
                    }
                  },
                  "path": "string"
                },
                "lineageGraph": {
                  "property": [
                    {
                      "name": "string",
                      "type": "model"
                    }
                  ]
                },
                "metrics": {
                  "property": {
                    "fieldType": "metric",
                    "type": "percentile",
                    "name": "string",
                    "label": "string",
                    "table": "string",
                    "tableLabel": "string",
                    "sql": "string",
                    "description": "string",
                    "source": {
                      "content": "string",
                      "highlight": {
                        "end": {},
                        "start": {}
                      },
                      "range": {
                        "end": {},
                        "start": {}
                      },
                      "path": "string"
                    },
                    "hidden": true,
                    "compact": "auto",
                    "round": 0,
                    "format": "km",
                    "separator": "default",
                    "groupLabel": "string",
                    "groups": [
                      "string"
                    ],
                    "urls": [
                      {
                        "label": "string",
                        "url": "string"
                      }
                    ],
                    "index": 0,
                    "tags": [
                      "string"
                    ],
                    "parameterReferences": [
                      "string"
                    ],
                    "showUnderlyingValues": [
                      "string"
                    ],
                    "filters": [
                      {
                        "includeNull": true,
                        "values": [
                          {}
                        ],
                        "operator": {},
                        "id": "string",
                        "target": {
                          "fieldRef": "string"
                        },
                        "settings": {},
                        "disabled": true,
                        "required": true,
                        "caseSensitive": true
                      }
                    ],
                    "percentile": 0,
                    "distinctKeys": [
                      "string"
                    ],
                    "formatOptions": {
                      "type": "default",
                      "round": 0,
                      "separator": "default",
                      "currency": "string",
                      "compact": {},
                      "prefix": "string",
                      "suffix": "string",
                      "timeInterval": "RAW",
                      "custom": "string"
                    },
                    "dimensionReference": "string",
                    "baseDimensionType": "string",
                    "baseDimensionTimeInterval": "RAW",
                    "requiredAttributes": {
                      "property": "string"
                    },
                    "anyAttributes": {
                      "property": "string"
                    },
                    "defaultTimeDimension": {
                      "interval": "RAW",
                      "field": "string"
                    },
                    "spotlight": {
                      "owner": "string",
                      "defaultFilter": {
                        "includeNull": true,
                        "values": [
                          {}
                        ],
                        "operator": {},
                        "id": "string",
                        "target": {
                          "fieldRef": "string"
                        },
                        "settings": {},
                        "disabled": true,
                        "required": true,
                        "caseSensitive": true
                      },
                      "defaultSegment": "string",
                      "segmentBy": [
                        "string"
                      ],
                      "filterBy": [
                        "string"
                      ],
                      "categories": [
                        "string"
                      ],
                      "visibility": "show"
                    },
                    "drivers": [
                      "string"
                    ],
                    "aiHint": "string",
                    "richText": "string",
                    "compiledTimestampFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledRelativeDateFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledDistinctKeys": [
                      "string"
                    ],
                    "compiledValueSql": "string",
                    "compilationError": {
                      "message": "string"
                    },
                    "tablesAnyAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesRequiredAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesReferences": [
                      "string"
                    ],
                    "compiledSql": "string"
                  }
                },
                "dimensions": {
                  "property": {
                    "fieldType": "dimension",
                    "type": "string",
                    "name": "string",
                    "label": "string",
                    "table": "string",
                    "tableLabel": "string",
                    "sql": "string",
                    "description": "string",
                    "source": {
                      "content": "string",
                      "highlight": {
                        "end": {},
                        "start": {}
                      },
                      "range": {
                        "end": {},
                        "start": {}
                      },
                      "path": "string"
                    },
                    "hidden": true,
                    "compact": "auto",
                    "round": 0,
                    "format": "km",
                    "separator": "default",
                    "groupLabel": "string",
                    "groups": [
                      "string"
                    ],
                    "urls": [
                      {
                        "label": "string",
                        "url": "string"
                      }
                    ],
                    "index": 0,
                    "tags": [
                      "string"
                    ],
                    "parameterReferences": [
                      "string"
                    ],
                    "group": "string",
                    "requiredAttributes": {
                      "property": "string"
                    },
                    "anyAttributes": {
                      "property": "string"
                    },
                    "timeInterval": "RAW",
                    "timeIntervalLabel": "string",
                    "timeIntervalBaseDimensionName": "string",
                    "timeIntervalBaseDimensionType": "string",
                    "customTimeInterval": "string",
                    "isAdditionalDimension": true,
                    "skipTimezoneConversion": true,
                    "timestampDomain": "aware",
                    "colors": {},
                    "isIntervalBase": true,
                    "aiHint": "string",
                    "formatOptions": {
                      "type": "default",
                      "round": 0,
                      "separator": "default",
                      "currency": "string",
                      "compact": {},
                      "prefix": "string",
                      "suffix": "string",
                      "timeInterval": "RAW",
                      "custom": "string"
                    },
                    "caseSensitive": true,
                    "image": {
                      "fit": "string",
                      "height": 0,
                      "width": 0,
                      "url": "string"
                    },
                    "richText": "string",
                    "filterAutocomplete": {
                      "optionsFromDimension": {
                        "labelDimension": "string",
                        "dimension": "string",
                        "model": "string"
                      },
                      "labelDimension": "string",
                      "fetchFromWarehouse": true,
                      "values": [
                        {}
                      ]
                    },
                    "spotlight": {
                      "segmentBy": true,
                      "filterBy": true
                    },
                    "compiledTimestampFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledRelativeDateFilters": [
                      {
                        "compiledSql": "string",
                        "fieldId": "string",
                        "id": "string"
                      }
                    ],
                    "compiledDistinctKeys": [
                      "string"
                    ],
                    "compiledValueSql": "string",
                    "compilationError": {
                      "message": "string"
                    },
                    "tablesAnyAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesRequiredAttributes": {
                      "property": {
                        "property": "string"
                      }
                    },
                    "tablesReferences": [
                      "string"
                    ],
                    "compiledSql": "string"
                  }
                }
              }
            },
            "targetDatabase": "bigquery",
            "warehouse": "string",
            "databricksCompute": "string",
            "ymlPath": "string",
            "sqlPath": "string",
            "type": "virtual",
            "caseSensitive": true,
            "spotlight": {
              "owner": "string",
              "categories": [
                "string"
              ],
              "visibility": "show"
            },
            "aiHint": "string",
            "parameters": {
              "property": {
                "options_from_dimension": {
                  "dimension": "string",
                  "model": "string"
                },
                "options": [
                  "string"
                ],
                "allow_custom_values": true,
                "multiple": true,
                "default": "string",
                "type": "string",
                "description": "string",
                "label": "string"
              }
            },
            "granularityLabels": {
              "RAW": "string",
              "YEAR": "string",
              "QUARTER": "string",
              "MONTH": "string",
              "WEEK": "string",
              "DAY": "string",
              "HOUR": "string",
              "MINUTE": "string",
              "SECOND": "string",
              "MILLISECOND": "string",
              "DAY_OF_WEEK_INDEX": "string",
              "DAY_OF_MONTH_NUM": "string",
              "DAY_OF_YEAR_NUM": "string",
              "WEEK_NUM": "string",
              "MONTH_NUM": "string",
              "QUARTER_NUM": "string",
              "YEAR_NUM": "string",
              "DAY_OF_WEEK_NAME": "string",
              "MONTH_NAME": "string",
              "QUARTER_NAME": "string",
              "HOUR_OF_DAY_NUM": "string",
              "MINUTE_OF_HOUR_NUM": "string"
            },
            "savedParameterValues": {
              "property": "string"
            },
            "preAggregates": [
              {
                "materializationRole": {
                  "attributes": {
                    "property": [
                      "string"
                    ]
                  },
                  "email": "string"
                },
                "refresh": {
                  "cron": "string"
                },
                "maxRows": 0,
                "granularity": "RAW",
                "timeDimension": "string",
                "filters": [
                  {
                    "includeNull": true,
                    "values": [
                      "string"
                    ],
                    "operator": "isNull",
                    "id": "string",
                    "target": {
                      "fieldRef": "string"
                    },
                    "settings": "string",
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true
                  }
                ],
                "sorts": [
                  {
                    "fieldId": "string",
                    "descending": true
                  }
                ],
                "table": "string",
                "metrics": [
                  "string"
                ],
                "dimensions": [
                  "string"
                ],
                "name": "string"
              }
            ],
            "preAggregateSource": {
              "externalTable": "string",
              "preAggregateName": "string",
              "sourceExploreName": "string"
            },
            "externalSource": {
              "sourceType": "csv",
              "tableUuid": "string",
              "sourceUuid": "string"
            },
            "warnings": [
              {
                "message": "string",
                "type": "METADATA_PARSE_ERROR"
              }
            ],
            "errors": [
              {
                "message": "string",
                "type": "METADATA_PARSE_ERROR"
              }
            ]
          }
        ],
        "dimensionsCount": 0,
        "metricsCount": 0,
        "errorExploresCount": 0,
        "successfulExploresCount": 0,
        "totalExploresCount": 0
      },
      "warehouseType": "string",
      "requestMethod": "string",
      "dbtConnectionType": "string",
      "compilationSource": "cli_deploy",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "organizationUuid": "string",
      "userName": "string",
      "userUuid": "string",
      "jobUuid": "string",
      "projectUuid": "string",
      "projectCompileLogId": "string"
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}